gio-0.13.4.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.File.FileMonitor

Contents

- Details
- Types
- Enums
- Methods
- Attributes
- Signals

Description

Synopsis

- newtype FileMonitor = FileMonitor (ForeignPtr FileMonitor)
- class GObjectClass o => FileMonitorClass o
- data FileMonitorEvent
  - = FileMonitorEventChanged
  - | FileMonitorEventChangesDoneHint
  - | FileMonitorEventDeleted
  - | FileMonitorEventCreated
  - | FileMonitorEventAttributeChanged
  - | FileMonitorEventPreUnmount
  - | FileMonitorEventUnmounted
  - | FileMonitorEventMoved
  - | FileMonitorEventRenamed
  - | FileMonitorEventMovedIn
  - | FileMonitorEventMovedOut
- fileMonitorCancel :: FileMonitorClass monitor => monitor -> IO Bool
- fileMonitorIsCancelled :: FileMonitorClass monitor => monitor -> IO Bool
- fileMonitorCancelled :: FileMonitorClass monitor => ReadAttr monitor Bool
- fileMonitorRateLimit :: FileMonitorClass monitor => Attr monitor Int
- fileMonitorChanged :: FileMonitorClass monitor => Signal monitor (Maybe File -> Maybe File -> FileMonitorEvent -> IO ())

# Details

Monitors a file or directory for changes.

To obtain a `FileMonitor` for a file or directory, use `fileMonitor`, or `fileMonitorDirectory` .

To get informed about changes to the file or directory you are monitoring, connect to the "changed" signal. The signal will be emitted in the thread-default main context of the thread that the monitor was created in (though if the global default main context is blocked, this may cause notifications to be blocked even if the thread-default context is still running).

# Types

newtype FileMonitor Source #

Constructors

FileMonitor (ForeignPtr FileMonitor) |

Instances

Eq FileMonitor Source # |
Methods (==) :: FileMonitor -> FileMonitor -> Bool # (/=) :: FileMonitor -> FileMonitor -> Bool #
Ord FileMonitor Source # |
Methods compare :: FileMonitor -> FileMonitor -> Ordering # (<) :: FileMonitor -> FileMonitor -> Bool # (<=) :: FileMonitor -> FileMonitor -> Bool # (>) :: FileMonitor -> FileMonitor -> Bool # (>=) :: FileMonitor -> FileMonitor -> Bool # max :: FileMonitor -> FileMonitor -> FileMonitor # min :: FileMonitor -> FileMonitor -> FileMonitor #
GObjectClass FileMonitor Source # |
Methods toGObject :: FileMonitor -> GObject # unsafeCastGObject :: GObject -> FileMonitor #
FileMonitorClass FileMonitor Source # |

class GObjectClass o => FileMonitorClass o Source #

Instances

FileMonitorClass FileMonitor Source # |

# Enums

data FileMonitorEvent Source #

Specifies what type of event a monitor event is.

Constructors

FileMonitorEventChanged |
FileMonitorEventChangesDoneHint |
FileMonitorEventDeleted |
FileMonitorEventCreated |
FileMonitorEventAttributeChanged |
FileMonitorEventPreUnmount |
FileMonitorEventUnmounted |
FileMonitorEventMoved |
FileMonitorEventRenamed |
FileMonitorEventMovedIn |
FileMonitorEventMovedOut |

Instances

Bounded FileMonitorEvent Source # |
Methods minBound :: FileMonitorEvent # maxBound :: FileMonitorEvent #
Enum FileMonitorEvent Source # |

Methods

succ :: FileMonitorEvent -> FileMonitorEvent #

pred :: FileMonitorEvent -> FileMonitorEvent #

toEnum :: Int -> FileMonitorEvent #

fromEnum :: FileMonitorEvent -> Int #

enumFrom :: FileMonitorEvent -> [FileMonitorEvent] #

enumFromThen :: FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent] #

enumFromTo :: FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent] #

enumFromThenTo :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent] #

Eq FileMonitorEvent Source # |
Methods (==) :: FileMonitorEvent -> FileMonitorEvent -> Bool # (/=) :: FileMonitorEvent -> FileMonitorEvent -> Bool #
Ord FileMonitorEvent Source # |

Methods

compare :: FileMonitorEvent -> FileMonitorEvent -> Ordering #

(<) :: FileMonitorEvent -> FileMonitorEvent -> Bool #

(<=) :: FileMonitorEvent -> FileMonitorEvent -> Bool #

(>) :: FileMonitorEvent -> FileMonitorEvent -> Bool #

(>=) :: FileMonitorEvent -> FileMonitorEvent -> Bool #

max :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent #

min :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent #

Show FileMonitorEvent Source # |
Methods showsPrec :: Int -> FileMonitorEvent -> ShowS # show :: FileMonitorEvent -> String # showList :: [FileMonitorEvent] -> ShowS #

# Methods

fileMonitorCancel Source #

Arguments

:: FileMonitorClass monitor |
=> monitor |
-> IO Bool | returns `True` if monitor was cancelled.

Cancels a file monitor.

fileMonitorIsCancelled Source #

Arguments

:: FileMonitorClass monitor |
=> monitor |
-> IO Bool | returns `True` if monitor is canceled. `False` otherwise.

Returns whether the monitor is canceled.

# Attributes

fileMonitorCancelled :: FileMonitorClass monitor => ReadAttr monitor Bool Source #

Whether the monitor has been cancelled.

Default value: `False`

fileMonitorRateLimit :: FileMonitorClass monitor => Attr monitor Int Source #

The limit of the monitor to watch for changes, in milliseconds.

Allowed values: >= 0

Default value: 800

# Signals

fileMonitorChanged :: FileMonitorClass monitor => Signal monitor (Maybe File -> Maybe File -> FileMonitorEvent -> IO ()) Source #